Skip to main content
GET
Get a Modus conversation

Authorizations

Authorization
string
header
required

A Modus personal access token (modus_<orgUuid>_<prefix>_<secret>) or an OAuth 2.1 access token, sent as Authorization: Bearer <token>.

Path Parameters

threadId
string
required

Thread id from a conversation list or chat response.

Example:

"agent_0_550e8400-e29b-41d4-a716-446655440000"

Response

threadId
string
required

Opaque thread/checkpoint id. It is not owned by a single scope; a conversation can span multiple workflows.

Example:

"agent_42_abc-xyz"

scopeId
number
required

Numeric scope id returned by the list/detail adapter. This is not conversation ownership.

Example:

42

messages
object[]
required

Conversation turns, in chronological order.

createdAt
string
required

ISO-8601 timestamp of the first checkpoint for this thread.

Example:

"2026-05-01T10:00:00.000Z"

updatedAt
string
required

ISO-8601 timestamp of the latest checkpoint for this thread.

Example:

"2026-05-01T11:00:00.000Z"

messageWindow
object

Present only when a bounded message window was requested and honored.